Generation Framework

## org.eclipse.gmf.codegen.gmfgen
Interface GMFGenFactory

All Superinterfaces:
  EFactory, EModelElement, EObject, Notifier

All Known Implementing Classes:
  GMFGenFactoryImpl

public interface GMFGenFactory
extends EFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `GMFGenPackage`
** Generated **

Field Summary
`static GMFGenFactory` `eINSTANCE` The singleton instance of the factory

Method Summary
`ColorAttributes` `createColorAttributes()` Returns a new object of class 'Color Attributes'
`CompositeFeatureLabelModelFacet` `createCompositeFeatureLabelModelFacet()` Returns a new object of class 'Composite Feature Label Model Facet'
`CompositeFeatureModelFacet` `createCompositeFeatureModelFacet()` Returns a new object of class 'Composite Feature Model Facet'
`DefaultSizeAttributes` `createDefaultSizeAttributes()` Returns a new object of class 'Default Size Attributes'
`DesignLabelModelFacet` `createDesignLabelModelFacet()` Returns a new object of class 'Design Label Model Facet'
`FeatureLabelModelFacet` `createFeatureLabelModelFacet()` Returns a new object of class 'Feature Label Model Facet'
`FeatureLinkModelFacet` `createFeatureLinkModelFacet()` Returns a new object of class 'Feature Link Model Facet'
`FeatureModelFacet` `createFeatureModelFacet()` Returns a new object of class 'Feature Model Facet'
`FigureViewmap` `createFigureViewmap()` Returns a new object of class 'Figure Viewmap'
`GenAuditContainer` `createGenAuditContainer()` Returns a new object of class 'Gen Audit Container'
`GenAuditedMetricTarget` `createGenAuditedMetricTarget()` Returns a new object of class 'Gen Audited Metric Target'
`GenAuditRule` `createGenAuditRule()` Returns a new object of class 'Gen Audit Rule'
`GenChildLabelNode` `createGenChildLabelNode()` Returns a new object of class 'Gen Child Label Node'
`GenChildNode` `createGenChildNode()` Returns a new object of class 'Gen Child Node'
`GenCompartment` `createGenCompartment()` Returns a new object of class 'Gen Compartment'
`GenConstraint` `createGenConstraint()` Returns a new object of class 'Gen Constraint'
`GenDiagram` `createGenDiagram()` Returns a new object of class 'Gen Diagram'
`GenDiagramElementTarget` `createGenDiagramElementTarget()` Returns a new object of class 'Gen Diagram Element Target'
`GenDomainAttributeTarget` `createGenDomainAttributeTarget()` Returns a new object of class 'Gen Domain Attribute Target'
`GenDomainElementTarget` `createGenDomainElementTarget()` Returns a new object of class 'Gen Domain Element Target'
`GenEditorGenerator` `createGenEditorGenerator()` Returns a new object of class 'Gen Editor Generator'
`GenEditorView` `createGenEditorView()` Returns a new object of class 'Gen Editor View'
`GenExpressionInterpreter` `createGenExpressionInterpreter()` Returns a new object of class 'Gen Expression Interpreter'
`GenExpressionProviderContainer` `createGenExpressionProviderContainer()` Returns a new object of class 'Gen Expression Provider Container'
`GenExternalNodeLabel` `createGenExternalNodeLabel()` Returns a new object of class 'Gen External Node Label'
`GenFeatureSeqInitializer` `createGenFeatureSeqInitializer()` Returns a new object of class 'Gen Feature Seq Initializer'
`GenFeatureValueSpec` `createGenFeatureValueSpec()` Returns a new object of class 'Gen Feature Value Spec'
`GenJavaExpressionProvider` `createGenJavaExpressionProvider()` Returns a new object of class 'Gen Java Expression Provider'
`GenLink` `createGenLink()` Returns a new object of class 'Gen Link'
`GenLinkConstraints` `createGenLinkConstraints()` Returns a new object of class 'Gen Link Constraints'
`GenLinkLabel` `createGenLinkLabel()` Returns a new object of class 'Gen Link Label'
`GenMetricContainer` `createGenMetricContainer()` Returns a new object of class 'Gen Metric Container'
`GenMetricRule` `createGenMetricRule()` Returns a new object of class 'Gen Metric Rule'
`GenNodeLabel` `createGenNodeLabel()` Returns a new object of class 'Gen Node Label'
`GenNotationElementTarget` `createGenNotationElementTarget()` Returns a new object of class 'Gen Notation Element Target'
`GenPlugin` `createGenPlugin()` Returns a new object of class 'Gen Plugin'
`GenTopLevelNode` `createGenTopLevelNode()` Returns a new object of class 'Gen Top Level Node'
`InnerClassViewmap` `createInnerClassViewmap()` Returns a new object of class 'Inner Class Viewmap'
`LabelOffsetAttributes` `createLabelOffsetAttributes()` Returns a new object of class 'Label Offset Attributes'
`MetamodelType` `createMetamodelType()` Returns a new object of class 'Metamodel Type'
`NotationType` `createNotationType()` Returns a new object of class 'Notation Type'
`Palette` `createPalette()` Returns a new object of class 'Palette'
`ParentAssignedViewmap` `createParentAssignedViewmap()` Returns a new object of class 'Parent Assigned Viewmap'
`ResizeConstraints` `createResizeConstraints()` Returns a new object of class 'Resize Constraints'
`Separator` `createSeparator()` Returns a new object of class 'Separator'
`SnippetViewmap` `createSnippetViewmap()` Returns a new object of class 'Snippet Viewmap'
`SpecializationType` `createSpecializationType()` Returns a new object of class 'Specialization Type'
`StyleAttributes` `createStyleAttributes()` Returns a new object of class 'Style Attributes'
`ToolEntry` `createToolEntry()` Returns a new object of class 'Tool Entry'
`ToolGroup` `createToolGroup()` Returns a new object of class 'Tool Group'
`TypeLinkModelFacet` `createTypeLinkModelFacet()` Returns a new object of class 'Type Link Model Facet'
`TypeModelFacet` `createTypeModelFacet()` Returns a new object of class 'Type Model Facet'
`ValueExpression` `createValueExpression()` Returns a new object of class 'Value Expression'
`GMFGenPackage` `getGMFGenPackage()` Returns the package supported by this factory

Methods inherited from interface org.eclipse.emf.ecore.EFactory
`convertToString, create, createFromString, getEPackage, setEPackage`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eINSTANCE

    public static final GMFGenFactory eINSTANCE

  The singleton instance of the factory.

  ** Generated **

Method Detail

### createGenEditorGenerator

    public GenEditorGenerator createGenEditorGenerator()

  Returns a new object of class 'Gen Editor Generator'.

  Returns:
    a new object of class 'Gen Editor Generator'.
  ** Generated **

### createGenDiagram

    public GenDiagram createGenDiagram()

  Returns a new object of class 'Gen Diagram'.

  Returns:
    a new object of class 'Gen Diagram'.
  ** Generated **

### createGenEditorView

    public GenEditorView createGenEditorView()

  Returns a new object of class 'Gen Editor View'.

  Returns:
    a new object of class 'Gen Editor View'.
  ** Generated **

### createGenPlugin

    public GenPlugin createGenPlugin()

  Returns a new object of class 'Gen Plugin'.

  Returns:
    a new object of class 'Gen Plugin'.
  ** Generated **

### createGenTopLevelNode

    public GenTopLevelNode createGenTopLevelNode()

  Returns a new object of class 'Gen Top Level Node'.

  Returns:
    a new object of class 'Gen Top Level Node'.
  ** Generated **

### createGenChildNode

    public GenChildNode createGenChildNode()

  Returns a new object of class 'Gen Child Node'.

  Returns:
    a new object of class 'Gen Child Node'.
  ** Generated **

### createGenChildLabelNode

    public GenChildLabelNode createGenChildLabelNode()

  Returns a new object of class 'Gen Child Label Node'.

  Returns:
    a new object of class 'Gen Child Label Node'.
  ** Generated **

### createGenCompartment

    public GenCompartment createGenCompartment()

  Returns a new object of class 'Gen Compartment'.

  Returns:
    a new object of class 'Gen Compartment'.
  ** Generated **

### createGenLink

    public GenLink createGenLink()

  Returns a new object of class 'Gen Link'.

  Returns:
    a new object of class 'Gen Link'.
  ** Generated **

### createGenNodeLabel

    public GenNodeLabel createGenNodeLabel()

  Returns a new object of class 'Gen Node Label'.

  Returns:
    a new object of class 'Gen Node Label'.
  ** Generated **

### createGenExternalNodeLabel

    public GenExternalNodeLabel createGenExternalNodeLabel()

  Returns a new object of class 'Gen External Node Label'.

  Returns:
    a new object of class 'Gen External Node Label'.
  ** Generated **

### createGenLinkLabel

    public GenLinkLabel createGenLinkLabel()

  Returns a new object of class 'Gen Link Label'.

  Returns:
    a new object of class 'Gen Link Label'.
  ** Generated **

### createMetamodelType

    public MetamodelType createMetamodelType()

  Returns a new object of class 'Metamodel Type'.

  Returns:
    a new object of class 'Metamodel Type'.
  ** Generated **

### createSpecializationType

    public SpecializationType createSpecializationType()

  Returns a new object of class 'Specialization Type'.

  Returns:
    a new object of class 'Specialization Type'.
  ** Generated **

### createNotationType

    public NotationType createNotationType()

  Returns a new object of class 'Notation Type'.

  Returns:
    a new object of class 'Notation Type'.
  ** Generated **

### createTypeModelFacet

    public TypeModelFacet createTypeModelFacet()

  Returns a new object of class 'Type Model Facet'.

  Returns:
    a new object of class 'Type Model Facet'.
  ** Generated **

### createFeatureModelFacet

    public FeatureModelFacet createFeatureModelFacet()

  Returns a new object of class 'Feature Model Facet'.

  Returns:
    a new object of class 'Feature Model Facet'.
  ** Generated **

### createFeatureLabelModelFacet

    public FeatureLabelModelFacet createFeatureLabelModelFacet()

  Returns a new object of class 'Feature Label Model Facet'.

  Returns:
    a new object of class 'Feature Label Model Facet'.
  ** Generated **

### createCompositeFeatureModelFacet

    public CompositeFeatureModelFacet createCompositeFeatureModelFacet()

  Returns a new object of class 'Composite Feature Model Facet'.

  Returns:
    a new object of class 'Composite Feature Model Facet'.
  ** Generated **

### createCompositeFeatureLabelModelFacet

    public CompositeFeatureLabelModelFacet createCompositeFeatureLabelModelFacet()

  Returns a new object of class 'Composite Feature Label Model Facet'.

  Returns:
    a new object of class 'Composite Feature Label Model Facet'.
  ** Generated **

### createDesignLabelModelFacet

    public DesignLabelModelFacet createDesignLabelModelFacet()

  Returns a new object of class 'Design Label Model Facet'.

  Returns:
    a new object of class 'Design Label Model Facet'.
  ** Generated **

### createTypeLinkModelFacet

    public TypeLinkModelFacet createTypeLinkModelFacet()

  Returns a new object of class 'Type Link Model Facet'.

  Returns:
    a new object of class 'Type Link Model Facet'.
  ** Generated **

### createFeatureLinkModelFacet

    public FeatureLinkModelFacet createFeatureLinkModelFacet()

  Returns a new object of class 'Feature Link Model Facet'.

  Returns:
    a new object of class 'Feature Link Model Facet'.
  ** Generated **

### createColorAttributes

    public ColorAttributes createColorAttributes()

  Returns a new object of class 'Color Attributes'.

  Returns:
    a new object of class 'Color Attributes'.
  ** Generated **

### createStyleAttributes

    public StyleAttributes createStyleAttributes()

  Returns a new object of class 'Style Attributes'.

  Returns:
    a new object of class 'Style Attributes'.
  ** Generated **

### createResizeConstraints

    public ResizeConstraints createResizeConstraints()

  Returns a new object of class 'Resize Constraints'.

  Returns:
    a new object of class 'Resize Constraints'.
  ** Generated **

### createDefaultSizeAttributes

    public DefaultSizeAttributes createDefaultSizeAttributes()

  Returns a new object of class 'Default Size Attributes'.

  Returns:
    a new object of class 'Default Size Attributes'.
  ** Generated **

### createLabelOffsetAttributes

    public LabelOffsetAttributes createLabelOffsetAttributes()

  Returns a new object of class 'Label Offset Attributes'.

  Returns:
    a new object of class 'Label Offset Attributes'.
  ** Generated **

### createFigureViewmap

    public FigureViewmap createFigureViewmap()

  Returns a new object of class 'Figure Viewmap'.

  Returns:
    a new object of class 'Figure Viewmap'.
  ** Generated **

### createSnippetViewmap

    public SnippetViewmap createSnippetViewmap()

  Returns a new object of class 'Snippet Viewmap'.

  Returns:
    a new object of class 'Snippet Viewmap'.
  ** Generated **

### createInnerClassViewmap

    public InnerClassViewmap createInnerClassViewmap()

  Returns a new object of class 'Inner Class Viewmap'.

  Returns:
    a new object of class 'Inner Class Viewmap'.
  ** Generated **

### createParentAssignedViewmap

    public ParentAssignedViewmap createParentAssignedViewmap()

  Returns a new object of class 'Parent Assigned Viewmap'.

  Returns:
    a new object of class 'Parent Assigned Viewmap'.
  ** Generated **

### createPalette

    public Palette createPalette()

  Returns a new object of class 'Palette'.

  Returns:
    a new object of class 'Palette'.
  ** Generated **

### createToolEntry

    public ToolEntry createToolEntry()

  Returns a new object of class 'Tool Entry'.

  Returns:
    a new object of class 'Tool Entry'.
  ** Generated **

### createSeparator

    public Separator createSeparator()

  Returns a new object of class 'Separator'.

  Returns:
    a new object of class 'Separator'.
  ** Generated **

### createToolGroup

    public ToolGroup createToolGroup()

  Returns a new object of class 'Tool Group'.

  Returns:
    a new object of class 'Tool Group'.
  ** Generated **

### createGenFeatureSeqInitializer

    public GenFeatureSeqInitializer createGenFeatureSeqInitializer()

  Returns a new object of class 'Gen Feature Seq Initializer'.

  Returns:
    a new object of class 'Gen Feature Seq Initializer'.
  ** Generated **

### createGenFeatureValueSpec

    public GenFeatureValueSpec createGenFeatureValueSpec()

  Returns a new object of class 'Gen Feature Value Spec'.

  Returns:
    a new object of class 'Gen Feature Value Spec'.
  ** Generated **

### createGenLinkConstraints

    public GenLinkConstraints createGenLinkConstraints()

  Returns a new object of class 'Gen Link Constraints'.

  Returns:
    a new object of class 'Gen Link Constraints'.
  ** Generated **

### createGenAuditContainer

    public GenAuditContainer createGenAuditContainer()

  Returns a new object of class 'Gen Audit Container'.

  Returns:
    a new object of class 'Gen Audit Container'.
  ** Generated **

### createGenAuditRule

    public GenAuditRule createGenAuditRule()

  Returns a new object of class 'Gen Audit Rule'.

  Returns:
    a new object of class 'Gen Audit Rule'.
  ** Generated **

### createGenDomainElementTarget

    public GenDomainElementTarget createGenDomainElementTarget()

  Returns a new object of class 'Gen Domain Element Target'.

  Returns:
    a new object of class 'Gen Domain Element Target'.
  ** Generated **

### createGenDiagramElementTarget

    public GenDiagramElementTarget createGenDiagramElementTarget()

  Returns a new object of class 'Gen Diagram Element Target'.

  Returns:
    a new object of class 'Gen Diagram Element Target'.
  ** Generated **

### createGenDomainAttributeTarget

    public GenDomainAttributeTarget createGenDomainAttributeTarget()

  Returns a new object of class 'Gen Domain Attribute Target'.

  Returns:
    a new object of class 'Gen Domain Attribute Target'.
  ** Generated **

### createGenNotationElementTarget

    public GenNotationElementTarget createGenNotationElementTarget()

  Returns a new object of class 'Gen Notation Element Target'.

  Returns:
    a new object of class 'Gen Notation Element Target'.
  ** Generated **

### createGenMetricContainer

    public GenMetricContainer createGenMetricContainer()

  Returns a new object of class 'Gen Metric Container'.

  Returns:
    a new object of class 'Gen Metric Container'.
  ** Generated **

### createGenMetricRule

    public GenMetricRule createGenMetricRule()

  Returns a new object of class 'Gen Metric Rule'.

  Returns:
    a new object of class 'Gen Metric Rule'.
  ** Generated **

### createGenAuditedMetricTarget

    public GenAuditedMetricTarget createGenAuditedMetricTarget()

  Returns a new object of class 'Gen Audited Metric Target'.

  Returns:
    a new object of class 'Gen Audited Metric Target'.
  ** Generated **

### createGenExpressionProviderContainer

    public GenExpressionProviderContainer createGenExpressionProviderContainer()

  Returns a new object of class 'Gen Expression Provider Container'.

  Returns:
    a new object of class 'Gen Expression Provider Container'.
  ** Generated **

### createGenJavaExpressionProvider

    public GenJavaExpressionProvider createGenJavaExpressionProvider()

  Returns a new object of class 'Gen Java Expression Provider'.

  Returns:
    a new object of class 'Gen Java Expression Provider'.
  ** Generated **

### createGenExpressionInterpreter

    public GenExpressionInterpreter createGenExpressionInterpreter()

  Returns a new object of class 'Gen Expression Interpreter'.

  Returns:
    a new object of class 'Gen Expression Interpreter'.
  ** Generated **

### createValueExpression

    public ValueExpression createValueExpression()

  Returns a new object of class 'Value Expression'.

  Returns:
    a new object of class 'Value Expression'.
  ** Generated **

### createGenConstraint

    public GenConstraint createGenConstraint()

  Returns a new object of class 'Gen Constraint'.

  Returns:
    a new object of class 'Gen Constraint'.
  ** Generated **

### getGMFGenPackage

    public GMFGenPackage getGMFGenPackage()

  Returns the package supported by this factory.

  Returns:
    the package supported by this factory.
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.